%define package_name    libmusicbrainz

%define api 3
%define major 6
%define libname %mklibname musicbrainz %api %{major}
%define develname %mklibname -d musicbrainz %api

Name:		libmusicbrainz3
Version:	3.0.3
Release:	%mkrel 2
Summary:	A software library for accesing MusicBrainz servers
Source:		http://ftp.musicbrainz.org/pub/musicbrainz/%{package_name}-%{version}.tar.xz
URL:		http://musicbrainz.org/doc/libmusicbrainz
Group:		System/Libraries
License:	LGPLv2+
BuildRequires:  cmake
BuildRequires:  libneon-devel
BuildRequires:  libdiscid-devel
BuildRequires:  libcppunit-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accesing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %develname
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%develname
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%prep
%setup -q -n %{package_name}-%{version}

%build
%cmake
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%files -n %{libname}
%doc AUTHORS.txt COPYING.txt NEWS.txt README.txt
%{_libdir}/libmusicbrainz%{api}.so.%{major}*

%files -n %develname
%{_includedir}/musicbrainz%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/libmusicbrainz%{api}.pc


%changelog
* Thu Dec 21 2017 adrianomorselli <adrianomorselli> 3.0.3-2uplos2017
- update for 2017
